Subject: [bug#45965] [PATCH 0/2] Update fzf, include binaries and install completions

From: Nicolas Goaziou <[email-masked]>
Date: Fri, 05 Feb 2021 21:57:33 +0100

Hello,

guix-patches--- via <[email-masked]> writes:

> I've tested both the package update and the extra phases added.
> The Bash completions are being installed properly, but I haven't tested
> the zsh ones.
>
> I remember seeing somewhere a discussion on aliasing this type of package,
> so that the "go-github-com-junegunn-fzf" is the default imported Go module,
> to be used as input for other packages, and adding a top-level "fzf" package,
> which does the ad-hoc packaging code I've added, so that a user can install
> the "fzf" package with Bash integration and similar features.

Indeed, having to install "go-github-com-junegunn-fzf" when you are
really looking for "fzf" is not very intuitive.

So, "fzf" could inherit from "go-github-com-junegunn-fzf" and add all
the bells and whistles.

Would you want to provide a patch for that?

Meanwhile, I'm going to apply the update and leave the first patch out.

Regards,
-- 
Nicolas Goaziou